<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_g_u_i_conf_8c" kind="file" language="C++">
    <compoundname>GUIConf.c</compoundname>
    <includes local="yes" refid="emwin_8h">emwin.h</includes>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Solutions<sp />for<sp />real<sp />time<sp />microcontroller<sp />applications<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(c)<sp />1996<sp />-<sp />2018<sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Internet:<sp />www.segger.com<sp /><sp /><sp /><sp />Support:<sp /><sp />support@segger.com<sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="11"><highlight class="comment" /></codeline>
<codeline lineno="12"><highlight class="comment">**<sp />emWin<sp />V5.48<sp />-<sp />Graphical<sp />user<sp />interface<sp />for<sp />embedded<sp />applications<sp />**</highlight></codeline>
<codeline lineno="13"><highlight class="comment">All<sp /><sp />Intellectual<sp />Property<sp />rights<sp /><sp />in<sp />the<sp />Software<sp />belongs<sp />to<sp /><sp />SEGGER.</highlight></codeline>
<codeline lineno="14"><highlight class="comment">emWin<sp />is<sp />protected<sp />by<sp /><sp />international<sp />copyright<sp />laws.<sp /><sp />Knowledge<sp />of<sp />the</highlight></codeline>
<codeline lineno="15"><highlight class="comment">source<sp />code<sp />may<sp />not<sp />be<sp />used<sp />to<sp />write<sp />a<sp />similar<sp />product.<sp /><sp />This<sp />file<sp />may</highlight></codeline>
<codeline lineno="16"><highlight class="comment">only<sp />be<sp />used<sp />in<sp />accordance<sp />with<sp />the<sp />following<sp />terms:</highlight></codeline>
<codeline lineno="17"><highlight class="comment" /></codeline>
<codeline lineno="18"><highlight class="comment">The<sp />software<sp /><sp />has<sp />been<sp />licensed<sp />to<sp /><sp />Cypress<sp />Semiconductor<sp />Corporation,</highlight></codeline>
<codeline lineno="19"><highlight class="comment">whose<sp />registered<sp /><sp />office<sp />is<sp />situated<sp /><sp />at<sp />198<sp />Champion<sp />Ct.<sp />San<sp />Jose,<sp />CA</highlight></codeline>
<codeline lineno="20"><highlight class="comment">95134<sp />USA<sp /><sp />solely<sp />for<sp />the<sp /><sp />purposes<sp />of<sp />creating<sp /><sp />libraries<sp />for<sp />Cypress</highlight></codeline>
<codeline lineno="21"><highlight class="comment">PSoC3<sp />and<sp /><sp />PSoC5<sp />processor-based<sp />devices,<sp /><sp />sublicensed<sp />and<sp />distributed</highlight></codeline>
<codeline lineno="22"><highlight class="comment">under<sp /><sp />the<sp /><sp />terms<sp /><sp />and<sp /><sp />conditions<sp /><sp />of<sp /><sp />the<sp /><sp />Cypress<sp /><sp />End<sp />User<sp />License</highlight></codeline>
<codeline lineno="23"><highlight class="comment">Agreement.</highlight></codeline>
<codeline lineno="24"><highlight class="comment">Full<sp />source<sp />code<sp />is<sp />available<sp />at:<sp />www.segger.com</highlight></codeline>
<codeline lineno="25"><highlight class="comment" /></codeline>
<codeline lineno="26"><highlight class="comment">We<sp />appreciate<sp />your<sp />understanding<sp />and<sp />fairness.</highlight></codeline>
<codeline lineno="27"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="28"><highlight class="comment">Licensing<sp />information</highlight></codeline>
<codeline lineno="29"><highlight class="comment">Licensor:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />Systems<sp />LLC</highlight></codeline>
<codeline lineno="30"><highlight class="comment">Licensed<sp />to:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cypress<sp />Semiconductor<sp />Corp,<sp />198<sp />Champion<sp />Ct.,<sp />San<sp />Jose,<sp />CA<sp />95134,<sp />USA</highlight></codeline>
<codeline lineno="31"><highlight class="comment">Licensed<sp />SEGGER<sp />software:<sp />emWin</highlight></codeline>
<codeline lineno="32"><highlight class="comment">License<sp />number:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GUI-00319</highlight></codeline>
<codeline lineno="33"><highlight class="comment">License<sp />model:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Services<sp />and<sp />License<sp />Agreement,<sp />signed<sp />June<sp />10th,<sp />2009</highlight></codeline>
<codeline lineno="34"><highlight class="comment">Licensed<sp />platform:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Any<sp />Cypress<sp />platform<sp />(Initial<sp />targets<sp />are:<sp />PSoC3,<sp />PSoC5)</highlight></codeline>
<codeline lineno="35"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="36"><highlight class="comment">Support<sp />and<sp />Update<sp />Agreement<sp />(SUA)</highlight></codeline>
<codeline lineno="37"><highlight class="comment">SUA<sp />period:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2009-06-12<sp />-<sp />2022-07-27</highlight></codeline>
<codeline lineno="38"><highlight class="comment">Contact<sp />to<sp />extend<sp />SUA:<sp /><sp /><sp /><sp />sales@segger.com</highlight></codeline>
<codeline lineno="39"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="40"><highlight class="comment">File<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp />GUIConf.c</highlight></codeline>
<codeline lineno="41"><highlight class="comment">Purpose<sp /><sp /><sp /><sp /><sp />:<sp />Display<sp />controller<sp />initialization</highlight></codeline>
<codeline lineno="42"><highlight class="comment">---------------------------END-OF-HEADER------------------------------</highlight></codeline>
<codeline lineno="43"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"emwin.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />EMWIN_ENABLED</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"GUI.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"LCDConf.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="58"><highlight class="comment">*</highlight></codeline>
<codeline lineno="59"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Defines</highlight></codeline>
<codeline lineno="60"><highlight class="comment">*</highlight></codeline>
<codeline lineno="61"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="62"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="comment">//<sp />Define<sp />the<sp />available<sp />number<sp />of<sp />bytes<sp />available<sp />for<sp />the<sp />GUI</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(GUI_NUMBYTES)</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />((MTB_DISPLAY_SIZE_X<sp />*<sp />MTB_DISPLAY_SIZE_Y<sp />*<sp />MTB_DISPLAY_COLOR_BITS<sp />/<sp />4)<sp />&gt;<sp />0x7800)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />GUI_NUMBYTES<sp /><sp />(1024*32)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />GUI_NUMBYTES<sp /><sp />((MTB_DISPLAY_SIZE_X<sp />*<sp />MTB_DISPLAY_SIZE_Y<sp />*<sp />\</highlight></codeline>
<codeline lineno="72"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />MTB_DISPLAY_COLOR_BITS<sp />/<sp />4)<sp />+<sp />2048)</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="77"><highlight class="comment">*</highlight></codeline>
<codeline lineno="78"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Public<sp />code</highlight></codeline>
<codeline lineno="79"><highlight class="comment">*</highlight></codeline>
<codeline lineno="80"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="81"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="83"><highlight class="comment">*</highlight></codeline>
<codeline lineno="84"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />GUI_X_Config</highlight></codeline>
<codeline lineno="85"><highlight class="comment">*</highlight></codeline>
<codeline lineno="86"><highlight class="comment">*<sp />Purpose:</highlight></codeline>
<codeline lineno="87"><highlight class="comment">*<sp /><sp /><sp />Called<sp />during<sp />the<sp />initialization<sp />process<sp />in<sp />order<sp />to<sp />set<sp />up<sp />the</highlight></codeline>
<codeline lineno="88"><highlight class="comment">*<sp /><sp /><sp />available<sp />memory<sp />for<sp />the<sp />GUI.</highlight></codeline>
<codeline lineno="89"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />GUI_X_Config(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="91"><highlight class="normal">{</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />32<sp />bit<sp />aligned<sp />memory<sp />area</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />U32<sp />aMemory[GUI_NUMBYTES<sp />/<sp />4];</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />Assign<sp />memory<sp />to<sp />emWin</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />GUI_ALLOC_AssignMemory(aMemory,<sp />GUI_NUMBYTES);</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />Set<sp />default<sp />font</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />GUI_SetDefaultFont(GUI_FONT_6X8);</highlight></codeline>
<codeline lineno="104"><highlight class="normal">}</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal">}</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />EMWIN_ENABLED<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="comment">/***************************<sp />End<sp />of<sp />file<sp />****************************/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/configs/emwin/GUIConf.c" />
  </compounddef>
</doxygen>